# ARBES2Compatibility (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBES2Compatibility

    java.lang.Object
      org.lwjgl.opengl.ARBES2Compatibility

    public final class ARBES2Compatibility

extends java.lang.Object

Field Summary
`static int` `GL_FIXED` Accepted by the <type> parameter of VertexAttribPointer:
`static int` `GL_HIGH_FLOAT` Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static int` `GL_HIGH_INT` Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static int` `GL_IMPLEMENTATION_COLOR_READ_FORMAT` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_IMPLEMENTATION_COLOR_READ_TYPE` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_LOW_FLOAT` Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static int` `GL_LOW_INT` Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static int` `GL_MAX_FRAGMENT_UNIFORM_VECTORS` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_MAX_VARYING_VECTORS` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_MAX_VERTEX_UNIFORM_VECTORS` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_MEDIUM_FLOAT` Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static int` `GL_MEDIUM_INT` Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static int` `GL_NUM_SHADER_BINARY_FORMATS` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static int` `GL_RGB565` Accepted by the <format> parameter of most commands taking sized internal formats:
`static int` `GL_SHADER_COMPILER` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

Method Summary
`static void` `glClearDepthf(float d)`
`static void` `glDepthRangef(float n, float f)`
`static void` `glGetShaderPrecisionFormat(int shadertype, int precisiontype, java.nio.IntBuffer range, java.nio.IntBuffer precision)`
`static void` `glReleaseShaderCompiler()`
`static void` `glShaderBinary(java.nio.IntBuffer shaders, int binaryformat, java.nio.ByteBuffer binary)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SHADER_COMPILER

    public static final int GL_SHADER_COMPILER

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_NUM_SHADER_BINARY_FORMATS

    public static final int GL_NUM_SHADER_BINARY_FORMATS

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_UNIFORM_VECTORS

    public static final int GL_MAX_VERTEX_UNIFORM_VECTORS

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_VARYING_VECTORS

    public static final int GL_MAX_VARYING_VECTORS

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_VECTORS

    public static final int GL_MAX_FRAGMENT_UNIFORM_VECTORS

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_IMPLEMENTATION_COLOR_READ_TYPE

    public static final int GL_IMPLEMENTATION_COLOR_READ_TYPE

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_IMPLEMENTATION_COLOR_READ_FORMAT

    public static final int GL_IMPLEMENTATION_COLOR_READ_FORMAT

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_FIXED

    public static final int GL_FIXED

  Accepted by the <type> parameter of VertexAttribPointer:

  See Also:
    Constant Field Values

### GL_LOW_FLOAT

    public static final int GL_LOW_FLOAT

  Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

  See Also:
    Constant Field Values

### GL_MEDIUM_FLOAT

    public static final int GL_MEDIUM_FLOAT

  Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

  See Also:
    Constant Field Values

### GL_HIGH_FLOAT

    public static final int GL_HIGH_FLOAT

  Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

  See Also:
    Constant Field Values

### GL_LOW_INT

    public static final int GL_LOW_INT

  Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

  See Also:
    Constant Field Values

### GL_MEDIUM_INT

    public static final int GL_MEDIUM_INT

  Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

  See Also:
    Constant Field Values

### GL_HIGH_INT

    public static final int GL_HIGH_INT

  Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

  See Also:
    Constant Field Values

### GL_RGB565

    public static final int GL_RGB565

  Accepted by the <format> parameter of most commands taking sized internal formats:

  See Also:
    Constant Field Values

Method Detail

### glReleaseShaderCompiler

    public static void glReleaseShaderCompiler()

### glShaderBinary

    public static void glShaderBinary(java.nio.IntBuffer shaders,
                                      int binaryformat,
                                      java.nio.ByteBuffer binary)

### glGetShaderPrecisionFormat

    public static void glGetShaderPrecisionFormat(int shadertype,
                                                  int precisiontype,
                                                  java.nio.IntBuffer range,
                                                  java.nio.IntBuffer precision)

### glDepthRangef

    public static void glDepthRangef(float n,
                                     float f)

### glClearDepthf

    public static void glClearDepthf(float d)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.